org.jboss.jca.core.workmanager.transport.remote

## Enum ProtocolMessages.Request

- java.lang.Object
- - java.lang.Enum<ProtocolMessages.Request>
  - - org.jboss.jca.core.workmanager.transport.remote.ProtocolMessages.Request

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProtocolMessages.Request>
  Enclosing class:
    ProtocolMessages

      public static enum ProtocolMessages.Request
      extends java.lang.Enum<ProtocolMessages.Request>

  A Command of DistributedWorkManager to through network transport
  Author:
    Stefano Maestri

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLEAR_DISTRIBUTED_STATISTICS` CLEAR_DISTRIBUTED_STATISTICS
    `DELTA_DOWORK_ACCEPTED` DELTA_DOWORK_ACCEPTED
    `DELTA_DOWORK_REJECTED` DELTA_DOWORK_REJECTED
    `DELTA_SCHEDULEWORK_ACCEPTED` DELTA_SCHEDULEWORK_ACCEPTED
    `DELTA_SCHEDULEWORK_REJECTED` DELTA_SCHEDULEWORK_REJECTED
    `DELTA_STARTWORK_ACCEPTED` DELTA_STARTWORK_ACCEPTED
    `DELTA_STARTWORK_REJECTED` DELTA_STARTWORK_REJECTED
    `DELTA_WORK_FAILED` DELTA_WORK_FAILED
    `DELTA_WORK_SUCCESSFUL` DELTA_WORK_SUCCESSFUL
    `DO_WORK` do work
    `GET_DISTRIBUTED_STATISTICS` GET_DISTRIBUTED_STATISTICS
    `GET_LONGRUNNING_FREE` get long running free
    `GET_SHORTRUNNING_FREE` get short running free
    `GET_WORKMANAGERS` get workmanagers
    `JOIN` join
    `LEAVE` leave
    `PING` PING
    `SCHEDULE_WORK` schedule work
    `START_WORK` start work
    `UPDATE_LONGRUNNING_FREE` update long running free
    `UPDATE_SHORTRUNNING_FREE` update short running free
    `WORKMANAGER_ADD` workmanager add
    `WORKMANAGER_REMOVE` workmanager remove

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfParameter()` Get the numberOfParameter.
    `java.lang.Class<?>[]` | `getTypeOfParameters()` Get the typeOfParameters.
    `static ProtocolMessages.Request` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProtocolMessages.Request[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JOIN

          public static final ProtocolMessages.Request JOIN

      join

    - #### LEAVE

          public static final ProtocolMessages.Request LEAVE

      leave

    - #### GET_WORKMANAGERS

          public static final ProtocolMessages.Request GET_WORKMANAGERS

      get workmanagers

    - #### WORKMANAGER_ADD

          public static final ProtocolMessages.Request WORKMANAGER_ADD

      workmanager add

    - #### WORKMANAGER_REMOVE

          public static final ProtocolMessages.Request WORKMANAGER_REMOVE

      workmanager remove

    - #### UPDATE_SHORTRUNNING_FREE

          public static final ProtocolMessages.Request UPDATE_SHORTRUNNING_FREE

      update short running free

    - #### UPDATE_LONGRUNNING_FREE

          public static final ProtocolMessages.Request UPDATE_LONGRUNNING_FREE

      update long running free

    - #### GET_SHORTRUNNING_FREE

          public static final ProtocolMessages.Request GET_SHORTRUNNING_FREE

      get short running free

    - #### GET_LONGRUNNING_FREE

          public static final ProtocolMessages.Request GET_LONGRUNNING_FREE

      get long running free

    - #### GET_DISTRIBUTED_STATISTICS

          public static final ProtocolMessages.Request GET_DISTRIBUTED_STATISTICS

      GET_DISTRIBUTED_STATISTICS

    - #### CLEAR_DISTRIBUTED_STATISTICS

          public static final ProtocolMessages.Request CLEAR_DISTRIBUTED_STATISTICS

      CLEAR_DISTRIBUTED_STATISTICS

    - #### DELTA_DOWORK_ACCEPTED

          public static final ProtocolMessages.Request DELTA_DOWORK_ACCEPTED

      DELTA_DOWORK_ACCEPTED

    - #### DELTA_DOWORK_REJECTED

          public static final ProtocolMessages.Request DELTA_DOWORK_REJECTED

      DELTA_DOWORK_REJECTED

    - #### DELTA_STARTWORK_ACCEPTED

          public static final ProtocolMessages.Request DELTA_STARTWORK_ACCEPTED

      DELTA_STARTWORK_ACCEPTED

    - #### DELTA_STARTWORK_REJECTED

          public static final ProtocolMessages.Request DELTA_STARTWORK_REJECTED

      DELTA_STARTWORK_REJECTED

    - #### DELTA_SCHEDULEWORK_ACCEPTED

          public static final ProtocolMessages.Request DELTA_SCHEDULEWORK_ACCEPTED

      DELTA_SCHEDULEWORK_ACCEPTED

    - #### DELTA_SCHEDULEWORK_REJECTED

          public static final ProtocolMessages.Request DELTA_SCHEDULEWORK_REJECTED

      DELTA_SCHEDULEWORK_REJECTED

    - #### DELTA_WORK_SUCCESSFUL

          public static final ProtocolMessages.Request DELTA_WORK_SUCCESSFUL

      DELTA_WORK_SUCCESSFUL

    - #### DELTA_WORK_FAILED

          public static final ProtocolMessages.Request DELTA_WORK_FAILED

      DELTA_WORK_FAILED

    - #### PING

          public static final ProtocolMessages.Request PING

      PING

    - #### DO_WORK

          public static final ProtocolMessages.Request DO_WORK

      do work

    - #### SCHEDULE_WORK

          public static final ProtocolMessages.Request SCHEDULE_WORK

      schedule work

    - #### START_WORK

          public static final ProtocolMessages.Request START_WORK

      start work

  - ### Method Detail

    - #### values

          public static ProtocolMessages.Request[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolMessages.Request c : ProtocolMessages.Request.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolMessages.Request valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumberOfParameter

          public int getNumberOfParameter()

      Get the numberOfParameter.
      Returns:
        the numberOfParameter.

    - #### getTypeOfParameters

          public java.lang.Class<?>[] getTypeOfParameters()

      Get the typeOfParameters.
      Returns:
        the typeOfParameters.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)